Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 27-11-2021 15:11:15

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Bullseye (EFI)+Bullseye (bios) + Buster (bios)
Noyau : Linux 5.10.0-9-amd64 - Linux 4.19.0-6-amd64
(G)UI : Gnome 3.38.5 - 3.38.05
Inscription : 07-01-2012

Petites difficultés avec bullseye ou Gnome ? erreur de segmentation

Inkscape est très instable et se ferme très souvent, c'est presque systématique depuis que je suis passé sous Bullseye, il le faisait de temps en temps sous Buster.
Es ce du à Gnome et sa nouvelle version ou à Bullseye lui même.

Autre point désagréable, bien que j'aie demandé à Gimp de ne pas ouvrir de .svg, c'est toujours lui qui se présente en premier pour les ouvrir alors qu'il est incapable de travailler en vectoriel et qu'il converti le fichier en matriciel à l'ouverture.
Comme Inkscape plante souvent i l faut à chaque fois que je fasse à chaque fois deux clics, pour répondre à la fenêtre que Gnome ouvre en me demandant si je veux ouvrir mon SVG avec GIMP, puis cliquer pour dire "non, avec une autre application", ce qui ouvre une deuxième partie de fenêtre avec  "ouvrir avec Inkscape" et "reclic".
Quand on fait cela plusieurs fois de suite, on souhaite réorganiser le système.

Donc, avez vous rencontré ce problème ?

Comment pourrais empêcher Gimp de vouloir ouvrir des fichiers en vectoriel et/ou forcer Gnome à bien vouloir proposer Inkscape  à la place ?
J'ai été dans paramètres de Gnome, puis préférence et notification mais cela ne suffit pas, Gimp n'est pas censé ouvrir lui même des fichiers .svg; mais il le fait quand même.

Ou alors faut il que j'essaie autre chose que Gnome ?

Dernière modification par Guppy88 (30-11-2021 16:47:12)

Hors ligne

#2 27-11-2021 16:57:41

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Petites difficultés avec bullseye ou Gnome ? erreur de segmentation

Hello
Je pense que si tu cliques droite depuis ton gestionnaire de fichier ouvrir avec tu choisis l'application que tu veux sans zappé la case a coché qui te permet de mémorisé le réglage
Pour inskcape l'ouvrir dans un terminale de donnera des infos supplémentaire qui te permettrons peut etre de savoir pourquoi il te jette

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#3 27-11-2021 20:56:13

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Bullseye (EFI)+Bullseye (bios) + Buster (bios)
Noyau : Linux 5.10.0-9-amd64 - Linux 4.19.0-6-amd64
(G)UI : Gnome 3.38.5 - 3.38.05
Inscription : 07-01-2012

Re : Petites difficultés avec bullseye ou Gnome ? erreur de segmentation

Croutons a écrit :

Hello
Je pense que si tu cliques droite depuis ton gestionnaire de fichier ouvrir avec tu choisis l'application que tu veux sans zappé la case a coché qui te permet de mémorisé le réglage


Oui, ta réponse m'a interpellé parce qu'il n'y a pas, à priori, de case à cocher lors de l'ouverture de la fenêtre par le gestionnaire de fichier permettant de cocher une case pour mémoriser l'option.  J'ai donc cherché un peu partout cette option
Dans cette version de Gnome, il faut faire le clic droit qui ouvre une fenêtre, ne pas tenir compte de la ligne ouvrir avec une autre application, mais aller dans "propriétés" tout en bas, ce qui ouvre une deuxième fenêtre, laquelle affiche quatre onglets dont un intitulé "ouvrir avec" qu'il faut ouvrir à son tour et c'est seulement lui qui contient l'option à cocher pour mémoriser le réglage, qui s'appelle "définir par défaut". C'était  pas évident à trouver... enfin pour moi.

Croutons a écrit :

Pour Inkscape l'ouvrir dans un terminal te donnera des infos supplémentaires qui te permettrons, peut être, de savoir pourquoi il te jette


Je vais tâcher de faire ça.
Merci pour ta réponse qui m'a permis de résoudre la première partie de la difficulté d'utilisation d’Inkscape dans cette version de Gnome.

Dernière modification par Guppy88 (27-11-2021 20:59:59)

Hors ligne

#4 30-11-2021 14:17:13

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Bullseye (EFI)+Bullseye (bios) + Buster (bios)
Noyau : Linux 5.10.0-9-amd64 - Linux 4.19.0-6-amd64
(G)UI : Gnome 3.38.5 - 3.38.05
Inscription : 07-01-2012

Re : Petites difficultés avec bullseye ou Gnome ? erreur de segmentation

Croutons a écrit :

Hello

Pour Inskcape l'ouvrir dans un terminale de donnera des infos supplémentaire qui te permettrons peut être de savoir pourquoi il te jette


bon aujourd'hui j'ai lancé Inkscape depuis un terminal et cela n'a pas traîné, j'ai obtenu ce message.

Emergency save activated!

Emergency save document locations:
  /home/guppy88/Nouveau document 3.2021_11_30_12_30_06.0.svg
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at https://inkscape.org/report
with a detailed description of the steps leading to the crash, so we can fix it.
Erreur de segmentation
 


Cela arrivait quelque fois sous Buster , mais cela devient systématique sous Bullseye. C'est pénible.
Je retiens que je devrais allez sur le site pour signaler le bug, mais si je suis en mesure de comprendre ce genre d'indication en anglais écrit, je ne sais pas écrire en anglais.
Et que signifie erreur de segmentation ? es ce que je peux y changer quelque chose en paramétrant quelque part à quel endroit de la mémoire Inkscape pourrait accéder ?

Dernière modification par Guppy88 (30-11-2021 14:23:45)

Hors ligne

#5 30-11-2021 19:32:06

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 6.1.4 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : Petites difficultés avec bullseye ou Gnome ? erreur de segmentation

Tu utilises la version 1.0.2 de Inkscape fournie par les dépôts Debian ? Ou une autre version installée par un autre biais ?

Jouer sous Debian ? Facile !

En ligne

#6 30-11-2021 22:58:29

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Bullseye (EFI)+Bullseye (bios) + Buster (bios)
Noyau : Linux 5.10.0-9-amd64 - Linux 4.19.0-6-amd64
(G)UI : Gnome 3.38.5 - 3.38.05
Inscription : 07-01-2012

Re : Petites difficultés avec bullseye ou Gnome ? erreur de segmentation

J'ai utilisé la version fournie dans les paquets Debian, je l'ai installé graphiquement, elle porte le numéro 1.0.2 (e86c870879, 2021-01-15)

Hors ligne

Pied de page des forums